Bug 1123158 - [RFE] Need OSP installer to be able to support adding/removing/replacing compute nodes
Summary: [RFE] Need OSP installer to be able to support adding/removing/replacing comp...
Keywords:
Status: CLOSED DUPLICATE of bug 1123157
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 6)
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 03:08 UTC by arkady kanevsky
Modified: 2014-09-08 05:44 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1123157
Environment:
Last Closed: 2014-07-25 13:38:30 UTC


Attachments (Terms of Use)

Description arkady kanevsky 2014-07-25 03:08:10 UTC
+++ This bug was initially created as a clone of Bug #1123157 +++

Description of problem:
This is to allow installer to add a node to a compute group. This includes installing operating system, an extra libraries needed for ceph storage, all networks setup. (For the future extra Ceph keyring file if ceph is one of storage block back-ends for ephemeral storage and/or VM live migration).

For node deletion, VM migration is NOT part of this RFE. It is assumed that when a compute node is removed it does not have any user VMs or containers on it. But specifying in OSP installer that node is removed, or removed automatically after some administrator specified timeout, cleanup of OpenStack database, and OSP installer one are part of RFE.

For node replacement, Installer should provide a way to specify which node in compute cluster should be replaced, it could be down already, or still active.
But new node should attain identity of replaced node, including its network connections and its IP addresses. For this RFE assume that there no user VMs or containers on the node. (for the future we should add RFE for replacing that have user VMs or containers). Start with KVM hypervisor first. 

Version-Release number of selected component (if applicable):
N/A

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Mike Burns 2014-07-25 13:38:30 UTC
The RHEL-OSP installer currently runs only on RHEL 6.  Changes made on RHEL 6 will apply to RHEL-OSP deployments on both RHEL 6 and RHEL 7.  Closing this bug as a duplicate since we only need to track it in 1 place.

*** This bug has been marked as a duplicate of bug 1123157 ***


Note You need to log in before you can comment on or make changes to this bug.